{% extends 'base.html.twig' %}

{% block title %}Project index{% endblock %}

{% block body %}
    <h1>Project index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Description</th>
                <th>Link</th>
                <th>Date</th>
                <th>Dimension</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for project in projects %}
            <tr>
                <td>{{ project.id }}</td>
                <td>{{ project.title }}</td>
                <td>{{ project.description }}</td>
                <td>{{ project.link }}</td>
                <td>{{ project.date ? project.date|date('Y-m-d') : '' }}</td>
                <td>{{ project.dimension }}</td>
                <td>
                    <a href="{{ path('app_project_show', {'id': project.id}) }}">show</a>
                    <a href="{{ path('app_project_edit', {'id': project.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_project_new') }}">Create new</a>
{% endblock %}
